package com.yijia.customer.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 客户电子会员卡（储蓄卡）对象 customer_electronic_card
 *
 * @author yijia
 * @date 2021-04-12
 */
public class CustomerElectronicCard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 微信用户唯一标识unionId */
    @Excel(name = "微信用户唯一标识unionId")
    private String unionId;

    /** 公众号openId */
    @Excel(name = "公众号openId")
    private String blogOpenid;

    /** 小程序openId */
    @Excel(name = "小程序openId")
    private String minaOpenid;

    /** 会员编号 */
    @Excel(name = "会员编号")
    private String customerNo;

    /** 客户名 */
    @Excel(name = "客户名")
    private String customerName;

    /** 用户手机号 */
    @Excel(name = "用户手机号")
    private String mobilePhone;

    /** 电子储蓄卡余额 */
    @Excel(name = "电子储蓄卡余额")
    private BigDecimal amt;

    /** 电子会员卡类型：1，汽油；2.柴油； */
    @Excel(name = "电子会员卡类型：1，汽油；2.柴油；")
    private String cardOilsType;

    /** 油站ID */
    @Excel(name = "油站ID")
    private Long stationId;
    private Integer num;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 最近使用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最近使用时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recentlyTime;

    @Excel(name = "充值金额")
    private BigDecimal czamt;
    @Excel(name = "消费金额")
    private BigDecimal xfamt;
    @Excel(name = "电子会员数量")
    private BigDecimal cardnum;
    @Excel(name = "累计余额")
    private BigDecimal cumamt;
    @Excel(name = "累计电子会员数量")
    private BigDecimal cumnum;

    private Integer pageSetting;
    private Integer pageNo;
    private String strSql;

    public String getStrSql() {
        return strSql;
    }

    public void setStrSql(String strSql) {
        this.strSql = strSql;
    }

    public Integer getPageSetting() {
        return pageSetting;
    }

    public void setPageSetting(Integer pageSetting) {
        this.pageSetting = pageSetting;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public BigDecimal getCzamt() {
        return czamt;
    }

    public void setCzamt(BigDecimal czamt) {
        this.czamt = czamt;
    }

    public BigDecimal getXfamt() {
        return xfamt;
    }

    public void setXfamt(BigDecimal xfamt) {
        this.xfamt = xfamt;
    }

    public BigDecimal getCardnum() {
        return cardnum;
    }

    public void setCardnum(BigDecimal cardnum) {
        this.cardnum = cardnum;
    }

    public BigDecimal getCumamt() {
        return cumamt;
    }

    public void setCumamt(BigDecimal cumamt) {
        this.cumamt = cumamt;
    }

    public BigDecimal getCumnum() {
        return cumnum;
    }

    public void setCumnum(BigDecimal cumnum) {
        this.cumnum = cumnum;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUnionId(String unionId)
    {
        this.unionId = unionId;
    }

    public String getUnionId()
    {
        return unionId;
    }
    public void setBlogOpenid(String blogOpenid)
    {
        this.blogOpenid = blogOpenid;
    }

    public String getBlogOpenid()
    {
        return blogOpenid;
    }
    public void setMinaOpenid(String minaOpenid)
    {
        this.minaOpenid = minaOpenid;
    }

    public String getMinaOpenid()
    {
        return minaOpenid;
    }
    public void setCustomerNo(String customerNo)
    {
        this.customerNo = customerNo;
    }

    public String getCustomerNo()
    {
        return customerNo;
    }
    public void setCustomerName(String customerName)
    {
        this.customerName = customerName;
    }

    public String getCustomerName()
    {
        return customerName;
    }
    public void setMobilePhone(String mobilePhone)
    {
        this.mobilePhone = mobilePhone;
    }

    public String getMobilePhone()
    {
        return mobilePhone;
    }
    public void setAmt(BigDecimal amt)
    {
        this.amt = amt;
    }

    public BigDecimal getAmt()
    {
        return amt;
    }
    public void setCardOilsType(String cardOilsType)
    {
        this.cardOilsType = cardOilsType;
    }

    public String getCardOilsType()
    {
        return cardOilsType;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getStationName()
    {
        return stationName;
    }
    public void setRecentlyTime(Date recentlyTime)
    {
        this.recentlyTime = recentlyTime;
    }

    public Date getRecentlyTime()
    {
        return recentlyTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("unionId", getUnionId())
            .append("blogOpenid", getBlogOpenid())
            .append("minaOpenid", getMinaOpenid())
            .append("customerNo", getCustomerNo())
            .append("customerName", getCustomerName())
            .append("mobilePhone", getMobilePhone())
            .append("amt", getAmt())
            .append("cardOilsType", getCardOilsType())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("createTime", getCreateTime())
            .append("recentlyTime", getRecentlyTime())
            .toString();
    }
}
